Debian Bug report logs - #631963
linux-image-3.0.0-rc4-686-pae: no sound out the rear plugs

Package: alsa-base; Maintainer for alsa-base is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>; Source for alsa-base is src:alsa-base.

Reported by: Toni Mueller <support@oeko.net>

Date: Tue, 28 Jun 2011 17:33:01 UTC

Severity: normal

Tags: upstream

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to alsa-devel@alsa-project.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#631963; Package linux-2.6. (Tue, 28 Jun 2011 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <support@oeko.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 28 Jun 2011 17:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Toni Mueller <support@oeko.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-3.0.0-rc4-686-pae: no sound out the rear plugs
Date: Tue, 28 Jun 2011 19:24:42 +0200
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 3.0.0~rc4-1~experimental.1
Severity: normal
Tags: upstream


Hi,

when using this kernel, I hear no sound using the speakers, only using
the headphones, plugged in at the front.

With 2.6.38 (dmesg attached), the speakers get fed, too.


Kind regards,
--Toni++


-- Package-specific info:
** Version:
Linux version 3.0.0-rc4-686-pae (Debian 3.0.0~rc4-1~experimental.1) (maks@debian.org) (gcc version 4.4.6 (Debian 4.4.6-6) ) #1 SMP Thu Jun 23 22:45:46 UTC 2011

** Command line:
BOOT_IMAGE=/vmlinuz-3.0.0-rc4-686-pae root=/dev/mapper/ev0-root ro root=/dev/mapper/ev0-root ro

** Not tainted

** Kernel log:

** Model information
not available

** Loaded modules:
Module                  Size  Used by
snd_hrtimer            12540  1 
binfmt_misc            12778  1 
drbd                  176160  0 
lru_cache              12744  1 drbd
cn                     12797  1 drbd
ip6table_filter        12492  0 
ip6_tables             17069  1 ip6table_filter
ebtable_nat            12516  0 
ebtables               16965  1 ebtable_nat
bnep                   17147  2 
rfcomm                 31962  0 
bluetooth              97467  10 bnep,rfcomm
rfkill                 18474  2 bluetooth
crc16                  12327  1 bluetooth
battery                12957  0 
powernow_k8            17138  1 
mperf                  12387  1 powernow_k8
cpufreq_userspace      12520  0 
cpufreq_conservative    12987  0 
speedstep_lib          12463  0 
cpufreq_powersave      12422  0 
cpufreq_stats          12711  0 
nfsd                  196248  13 
nfs                   215222  0 
lockd                  60891  2 nfsd,nfs
fscache                31438  1 nfs
auth_rpcgss            31819  2 nfsd,nfs
nfs_acl                12463  2 nfsd,nfs
sunrpc                141398  14 nfsd,nfs,lockd,auth_rpcgss,nfs_acl
nf_nat_ftp             12420  0 
nf_nat_irc             12414  0 
nf_conntrack_ftp       12508  1 nf_nat_ftp
nf_conntrack_irc       12395  1 nf_nat_irc
ipt_MASQUERADE         12530  2 
iptable_nat            12800  1 
nf_nat                 17733  4 nf_nat_ftp,nf_nat_irc,ipt_MASQUERADE,iptable_nat
ipt_LOG                12533  9 
xt_limit               12484  9 
xt_tcpudp              12471  212 
xt_state               12455  255 
nf_conntrack_ipv4      13649  258 iptable_nat,nf_nat
nf_conntrack           42428  9 nf_nat_ftp,nf_nat_irc,nf_conntrack_ftp,nf_conntrack_irc,ipt_MASQUERADE,iptable_nat,nf_nat,xt_state,nf_conntrack_ipv4
nf_defrag_ipv4         12443  1 nf_conntrack_ipv4
iptable_filter         12488  1 
ip_tables              16998  2 iptable_nat,iptable_filter
x_tables               17969  11 ip6table_filter,ip6_tables,ebtables,ipt_MASQUERADE,iptable_nat,ipt_LOG,xt_limit,xt_tcpudp,xt_state,iptable_filter,ip_tables
ppp_deflate            12736  0 
bsd_comp               12740  0 
ppp_async              12845  1 
crc_ccitt              12331  1 ppp_async
ppp_generic            21823  7 ppp_deflate,bsd_comp,ppp_async
slhc                   12498  1 ppp_generic
bridge                 59311  0 
stp                    12368  1 bridge
deflate                12495  0 
zlib_deflate           21186  2 ppp_deflate,deflate
ctr                    12851  0 
twofish_generic        16529  0 
twofish_i586           12453  0 
twofish_common         20528  2 twofish_generic,twofish_i586
camellia               28953  0 
serpent                24847  0 
blowfish               16576  0 
cast5                  24773  0 
des_generic            20771  0 
xcbc                   12629  0 
rmd160                 16584  0 
sha512_generic         16649  0 
sha1_generic           12511  0 
hmac                   12649  0 
crypto_null            12636  0 
af_key                 30665  0 
fuse                   55666  1 
loop                   17777  0 
kvm                   229870  0 
snd_hda_codec_hdmi     25930  1 
snd_hda_codec_realtek   205841  1 
snd_hda_intel          21529  1 
snd_hda_codec          57741  3 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel
radeon                708469  2 
ttm                    46736  1 radeon
drm_kms_helper         22454  1 radeon
drm                   129322  4 radeon,ttm,drm_kms_helper
sp5100_tco             12752  0 
snd_pcm_oss            35864  0 
snd_hwdep              12906  1 snd_hda_codec
snd_mixer_oss          17649  1 snd_pcm_oss
snd_seq_midi           12744  0 
snd_pcm                52731  4 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec,snd_pcm_oss
i2c_algo_bit           12706  1 radeon
power_supply           13283  2 battery,radeon
snd_rawmidi            18311  1 snd_seq_midi
snd_seq_midi_event     13124  1 snd_seq_midi
snd_seq                39172  3 snd_seq_midi,snd_seq_midi_event
snd_seq_device         12995  3 snd_seq_midi,snd_rawmidi,snd_seq
snd_timer              22171  3 snd_hrtimer,snd_pcm,snd_seq
snd                    38255  15 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_pcm_oss,snd_hwdep,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_seq_device,snd_timer
soundcore              12878  1 snd
evdev                  17180  11 
k10temp                12539  0 
pcspkr                 12515  0 
snd_page_alloc         12841  2 snd_hda_intel,snd_pcm
i2c_piix4              12480  0 
i2c_core               19022  5 radeon,drm_kms_helper,drm,i2c_algo_bit,i2c_piix4
tpm_tis                12949  0 
tpm                    17476  1 tpm_tis
tpm_bios               12799  1 tpm
asus_atk0110           17092  0 
shpchp                 26653  0 
wmi                    13018  0 
pci_hotplug            26303  1 shpchp
processor              26983  1 powernow_k8
button                 12783  0 
thermal_sys            17667  1 processor
ext3                  102125  10 
jbd                    40818  1 ext3
mbcache                12810  1 ext3
sha256_generic         16709  2 
cryptd                 14071  0 
aes_i586               16608  12 
aes_generic            37066  1 aes_i586
cbc                    12659  6 
dm_crypt               17809  1 
dm_mod                 56387  33 dm_crypt
raid1                  25787  2 
md_mod                 80556  3 raid1
usbhid                 35206  0 
hid                    63937  1 usbhid
sg                     21385  0 
sr_mod                 17418  0 
sd_mod                 35060  6 
cdrom                  34631  1 sr_mod
crc_t10dif             12332  1 sd_mod
ata_generic            12439  0 
ohci_hcd               21898  0 
pata_atiixp            12609  0 
ahci                   20897  6 
libahci                22200  1 ahci
ehci_hcd               34885  0 
r8169                  36380  0 
mii                    12595  1 r8169
e1000e                112721  0 
libata                132136  4 ata_generic,pata_atiixp,ahci,libahci
scsi_mod              134491  4 sg,sr_mod,sd_mod,libata
usbcore                99225  4 usbhid,ohci_hcd,ehci_hcd

** PCI devices:
00:00.0 Host bridge [0600]: Advanced Micro Devices [AMD] RS880 Host Bridge [1022:9601]
	Subsystem: ASUSTeK Computer Inc. Device [1043:843e]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: ASUSTeK Computer Inc. RS880 PCI to PCI bridge (int gfx) [1043:9602] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fe900000-feafffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:09.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 4) [1022:9608] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Prefetchable memory behind bridge: 00000000fdf00000-00000000fdffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:0a.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 5) [1022:9609] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: feb00000-febfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:11.0 SATA controller [0106]: ATI Technologies Inc SB700/SB800 SATA Controller [AHCI mode] [1002:4391] (prog-if 01 [AHCI 1.0])
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at b000 [size=8]
	Region 1: I/O ports at a000 [size=4]
	Region 2: I/O ports at 9000 [size=8]
	Region 3: I/O ports at 8000 [size=4]
	Region 4: I/O ports at 7000 [size=16]
	Region 5: Memory at fe8ffc00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:12.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fe8fe000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:12.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fe8fd000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:12.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at fe8ff800 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:13.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at fe8fc000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at fe8f7000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at fe8ff400 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:14.0 SMBus [0c05]: ATI Technologies Inc SBx00 SMBus Controller [1002:4385] (rev 3c)
	Subsystem: ASUSTeK Computer Inc. M4A785TD Motherboard [1043:8389]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel driver in use: piix4_smbus

00:14.1 IDE interface [0101]: ATI Technologies Inc SB700/SB800 IDE Controller [1002:439c] (prog-if 8a [Master SecP PriP])
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 16
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at ff00 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: pata_atiixp

00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia (Intel HDA) [1002:4383]
	Subsystem: ASUSTeK Computer Inc. Device [1043:841b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fe8f0000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:14.3 ISA bridge [0601]: ATI Technologies Inc SB700/SB800 LPC host controller [1002:439d]
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:14.4 PCI bridge [0604]: ATI Technologies Inc SBx00 PCI to PCI Bridge [1002:4384] (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=64
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:14.5 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI2 Controller [1002:4399] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at fe8f6000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor HyperTransport Configuration [1022:1200]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Address Map [1022:1201]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor DRAM Controller [1022:1202]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Miscellaneous Control [1022:1203]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel driver in use: k10temp

00:18.4 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Link Control [1022:1204]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

01:05.0 VGA compatible controller [0300]: ATI Technologies Inc RS880 [Radeon HD 4250] [1002:9715] (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device [1043:843e]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Region 1: I/O ports at c000 [size=256]
	Region 2: Memory at feae0000 (32-bit, non-prefetchable) [size=64K]
	Region 5: Memory at fe900000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: radeon

01:05.1 Audio device [0403]: ATI Technologies Inc RS880 Audio Device [Radeon HD 4200] [1002:970f]
	Subsystem: ASUSTeK Computer Inc. Device [1043:843e]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at feaf4000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 06)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8432]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 45
	Region 0: I/O ports at d800 [size=256]
	Region 2: Memory at fdfff000 (64-bit, prefetchable) [size=4K]
	Region 4: Memory at fdff8000 (64-bit, prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: r8169

03:00.0 Ethernet controller [0200]: Intel Corporation 82574L Gigabit Network Connection [8086:10d3]
	Subsystem: Intel Corporation Gigabit CT Desktop Adapter [8086:a01f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at febe0000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at feb00000 (32-bit, non-prefetchable) [size=512K]
	Region 2: I/O ports at ec00 [size=32]
	Region 3: Memory at febdc000 (32-bit, non-prefetchable) [size=16K]
	Expansion ROM at feb80000 [disabled] [size=256K]
	Capabilities: <access denied>
	Kernel driver in use: e1000e


** USB devices:
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 046d:c03f Logitech, Inc. UltraX Optical Mouse
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-rc4-686-pae (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-3.0.0-rc4-686-pae depends on:
ii  debconf [debconf-2.0]         1.5.36.1   Debian configuration management sy
ii  initramfs-tools [linux-initra 0.99       tools for generating an initramfs
ii  linux-base                    3.2        Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-3.0.0-rc4-686-pae recommends:
ii  firmware-linux-free           2.6.32-35  Binary firmware for various driver
ii  libc6-i686                    2.11.2-10  Embedded GNU C Library: Shared lib

Versions of packages linux-image-3.0.0-rc4-686-pae suggests:
ii  grub-pc                 1.98+20100804-14 GRand Unified Bootloader, version 
pn  linux-doc-3.0.0         <none>           (no description available)

Versions of packages linux-image-3.0.0-rc4-686-pae is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
ii  firmware-linux                0.28       Binary firmware for various driver
ii  firmware-linux-nonfree        0.28       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
ii  xen-hypervisor-4.0-amd64 [xen 4.0.1-2    The Xen Hypervisor on AMD64

-- debconf information:
* linux-image-3.0.0-rc4-686-pae/postinst/missing-firmware-3.0.0-rc4-686-pae:
  linux-image-3.0.0-rc4-686-pae/prerm/removing-running-kernel-3.0.0-rc4-686-pae: true
  linux-image-3.0.0-rc4-686-pae/postinst/depmod-error-initrd-3.0.0-rc4-686-pae: false
  linux-image-3.0.0-rc4-686-pae/postinst/ignoring-ramdisk:
[dmesg (text/x-c++, attachment)]
[dmesg.0 (text/x-c++, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#631963; Package linux-2.6. (Wed, 29 Jun 2011 04:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 29 Jun 2011 04:03:09 GMT) Full text and rfc822 format available.

Message #10 received at 631963@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Takashi Iwai <tiwai@suse.de>, Toni Mueller <support@oeko.net>
Cc: 631963@bugs.debian.org, alsa-devel@alsa-project.org
Subject: Re: Bug#631963: linux-image-3.0.0-rc4-686-pae: no sound out the rear plugs
Date: Wed, 29 Jun 2011 04:58:53 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2011-06-28 at 19:24 +0200, Toni Mueller wrote:
> Package: linux-2.6
> Version: 3.0.0~rc4-1~experimental.1
> Severity: normal
> Tags: upstream
> 
> 
> Hi,
> 
> when using this kernel, I hear no sound using the speakers, only using
> the headphones, plugged in at the front.
> 
> With 2.6.38 (dmesg attached), the speakers get fed, too.
[...]
> 00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia (Intel HDA) [1002:4383]
>         Subsystem: ASUSTeK Computer Inc. Device [1043:841b]
>         Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
>         Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
>         Latency: 64, Cache Line Size: 64 bytes
>         Interrupt: pin A routed to IRQ 16
>         Region 0: Memory at fe8f0000 (64-bit, non-prefetchable) [size=16K]
>         Capabilities: <access denied>
>         Kernel driver in use: HDA Intel
[...]

Takashi, this looks like a regression in control parsing in the realtek
codec.  The kernel logs are at <http://bugs.debian.org/631963> but I
don't think they'll tell you much.

Toni, can you provide the output of 'amixer -c 0 controls' under 2.6.38
and 3.0-rc4?

Ben.

-- 
Ben Hutchings
In a hierarchy, every employee tends to rise to his level of incompetence.
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'alsa-devel@alsa-project.org'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 29 Jun 2011 04:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#631963; Package linux-2.6. (Wed, 29 Jun 2011 05:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Takashi Iwai <tiwai@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 29 Jun 2011 05:39:03 GMT) Full text and rfc822 format available.

Message #17 received at 631963@bugs.debian.org (full text, mbox):

From: Takashi Iwai <tiwai@suse.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Toni Mueller <support@oeko.net>, 631963@bugs.debian.org, alsa-devel@alsa-project.org
Subject: Re: Bug#631963: linux-image-3.0.0-rc4-686-pae: no sound out the rear plugs
Date: Wed, 29 Jun 2011 07:21:33 +0200
At Wed, 29 Jun 2011 04:58:53 +0100,
Ben Hutchings wrote:
> 
> On Tue, 2011-06-28 at 19:24 +0200, Toni Mueller wrote:
> > Package: linux-2.6
> > Version: 3.0.0~rc4-1~experimental.1
> > Severity: normal
> > Tags: upstream
> > 
> > 
> > Hi,
> > 
> > when using this kernel, I hear no sound using the speakers, only using
> > the headphones, plugged in at the front.
> > 
> > With 2.6.38 (dmesg attached), the speakers get fed, too.
> [...]
> > 00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia (Intel HDA) [1002:4383]
> >         Subsystem: ASUSTeK Computer Inc. Device [1043:841b]
> >         Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> >         Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> >         Latency: 64, Cache Line Size: 64 bytes
> >         Interrupt: pin A routed to IRQ 16
> >         Region 0: Memory at fe8f0000 (64-bit, non-prefetchable) [size=16K]
> >         Capabilities: <access denied>
> >         Kernel driver in use: HDA Intel
> [...]
> 
> Takashi, this looks like a regression in control parsing in the realtek
> codec.  The kernel logs are at <http://bugs.debian.org/631963> but I
> don't think they'll tell you much.

I'd definitely need alsa-info.sh outputs on both working and
non-working kernels, i.e. on 2.6.38 and 3.0-rc4.

> Toni, can you provide the output of 'amixer -c 0 controls' under 2.6.38
> and 3.0-rc4?

alsa-info.sh outputs contain already these.
Toni, could you give alsa-info.sh outputs of the above kernels?


thanks,

Takashi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#631963; Package linux-2.6. (Wed, 29 Jun 2011 18:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <support@oeko.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 29 Jun 2011 18:57:05 GMT) Full text and rfc822 format available.

Message #22 received at 631963@bugs.debian.org (full text, mbox):

From: Toni Mueller <support@oeko.net>
To: Takashi Iwai <tiwai@suse.de>
Cc: Ben Hutchings <ben@decadent.org.uk>, Toni Mueller <support@oeko.net>, 631963@bugs.debian.org, alsa-devel@alsa-project.org
Subject: Re: Bug#631963: linux-image-3.0.0-rc4-686-pae: no sound out the rear plugs
Date: Wed, 29 Jun 2011 20:45:02 +0200
[Message part 1 (text/plain, inline)]

Hi,

On Wed, 29.06.2011 at 07:21:33 +0200, Takashi Iwai <tiwai@suse.de> wrote:
> I'd definitely need alsa-info.sh outputs on both working and
> non-working kernels, i.e. on 2.6.38 and 3.0-rc4.

this first post is for the non-working kernel. The other kernel's
information will follow tomorrow.


Kind regards,
--Toni++

[alsa-info.txt.OlGZyoWrSn (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#631963; Package linux-2.6. (Thu, 30 Jun 2011 06:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Takashi Iwai <tiwai@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 30 Jun 2011 06:03:06 GMT) Full text and rfc822 format available.

Message #27 received at 631963@bugs.debian.org (full text, mbox):

From: Takashi Iwai <tiwai@suse.de>
To: Toni Mueller <support@oeko.net>
Cc: Ben Hutchings <ben@decadent.org.uk>, 631963@bugs.debian.org, alsa-devel@alsa-project.org
Subject: Re: Bug#631963: linux-image-3.0.0-rc4-686-pae: no sound out the rear plugs
Date: Thu, 30 Jun 2011 07:59:19 +0200
At Wed, 29 Jun 2011 20:45:02 +0200,
Toni Mueller wrote:
> 
> Hi,
> 
> On Wed, 29.06.2011 at 07:21:33 +0200, Takashi Iwai <tiwai@suse.de> wrote:
> > I'd definitely need alsa-info.sh outputs on both working and
> > non-working kernels, i.e. on 2.6.38 and 3.0-rc4.
> 
> this first post is for the non-working kernel. The other kernel's
> information will follow tomorrow.

I guess this must be the new feature, "Auto-Mute Mode".
When this is enabled, the line-outs are muted automatically when the
headphone jack is plugged.
In your case, turn this mixer enum off.


Takashi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#631963; Package linux-2.6. (Thu, 30 Jun 2011 11:57:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <support@oeko.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 30 Jun 2011 11:57:20 GMT) Full text and rfc822 format available.

Message #32 received at 631963@bugs.debian.org (full text, mbox):

From: Toni Mueller <support@oeko.net>
To: Takashi Iwai <tiwai@suse.de>
Cc: Ben Hutchings <ben@decadent.org.uk>, Toni Mueller <support@oeko.net>, 631963@bugs.debian.org, alsa-devel@alsa-project.org
Subject: Re: Bug#631963: linux-image-3.0.0-rc4-686-pae: no sound out the rear plugs
Date: Thu, 30 Jun 2011 13:55:30 +0200
[Message part 1 (text/plain, inline)]

Hi,

On Wed, 29.06.2011 at 20:45:02 +0200, Toni Mueller <support@oeko.net> wrote:
> this first post is for the non-working kernel. The other kernel's
> information will follow tomorrow.

this is the same info for the other kernel.

HTH

@Takashi: Thank you for your suggested workaround/change/fix. Will try
it, but I'm not an expert. Will keep you posted.


Kind regards,
--Toni++

[alsa-info.txt.RNdoN2hxrZ (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#631963; Package linux-2.6. (Fri, 01 Jul 2011 21:14:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <support@oeko.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 01 Jul 2011 21:14:40 GMT) Full text and rfc822 format available.

Message #37 received at 631963@bugs.debian.org (full text, mbox):

From: Toni Mueller <support@oeko.net>
To: Takashi Iwai <tiwai@suse.de>
Cc: Toni Mueller <support@oeko.net>, Ben Hutchings <ben@decadent.org.uk>, 631963@bugs.debian.org, alsa-devel@alsa-project.org
Subject: Re: Bug#631963: linux-image-3.0.0-rc4-686-pae: no sound out the rear plugs
Date: Fri, 1 Jul 2011 23:06:56 +0200
Hi Takashi,

On Thu, 30.06.2011 at 07:59:19 +0200, Takashi Iwai <tiwai@suse.de> wrote:
> I guess this must be the new feature, "Auto-Mute Mode".

it turns out that you're right - I just had the opportunity to verify
that.

Thanks for the idea.


Kind regards,
--Toni++





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#631963; Package linux-2.6. (Fri, 01 Jul 2011 21:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 01 Jul 2011 21:24:06 GMT) Full text and rfc822 format available.

Message #42 received at 631963@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Toni Mueller <support@oeko.net>
Cc: Takashi Iwai <tiwai@suse.de>, 631963@bugs.debian.org, alsa-devel@alsa-project.org
Subject: Re: Bug#631963: linux-image-3.0.0-rc4-686-pae: no sound out the rear plugs
Date: Fri, 1 Jul 2011 22:22:01 +0100
On Fri, Jul 01, 2011 at 11:06:56PM +0200, Toni Mueller wrote:
> 
> Hi Takashi,
> 
> On Thu, 30.06.2011 at 07:59:19 +0200, Takashi Iwai <tiwai@suse.de> wrote:
> > I guess this must be the new feature, "Auto-Mute Mode".
> 
> it turns out that you're right - I just had the opportunity to verify
> that.
 
Can we consider this closed, then?  Or should that feature be
disabled by default?

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#631963; Package linux-2.6. (Fri, 01 Jul 2011 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 01 Jul 2011 21:27:03 GMT) Full text and rfc822 format available.

Message #47 received at 631963@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Toni Mueller <support@oeko.net>, 631963@bugs.debian.org
Cc: alsa-base@packages.debian.org
Subject: Re: linux-image-3.0.0-rc4-686-pae: no sound out the rear plugs
Date: Fri, 1 Jul 2011 16:23:13 -0500
reassign 631963 alsa-base
affects 631963 + src:linux-2.6
quit

Hi,

Toni Mueller wrote:
> On Thu, 30.06.2011 at 07:59:19 +0200, Takashi Iwai <tiwai@suse.de> wrote:

>> I guess this must be the new feature, "Auto-Mute Mode".
>
> it turns out that you're right - I just had the opportunity to verify
> that.

Excellent.  I think it's a good feature, so reassigning to alsa-base
to get it documented somewhere (not necessarily in that package; just
that one has to start somewhere).

Thanks for checking.  




Bug reassigned from package 'linux-2.6' to 'alsa-base'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 01 Jul 2011 21:27:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 3.0.0~rc4-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 01 Jul 2011 21:27:07 GMT) Full text and rfc822 format available.

Added indication that 631963 affects src:linux-2.6 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 01 Jul 2011 21:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#631963; Package alsa-base. (Fri, 01 Jul 2011 21:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <support@oeko.net>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Fri, 01 Jul 2011 21:45:06 GMT) Full text and rfc822 format available.

Message #58 received at 631963@bugs.debian.org (full text, mbox):

From: Toni Mueller <support@oeko.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Toni Mueller <support@oeko.net>, Takashi Iwai <tiwai@suse.de>, 631963@bugs.debian.org, alsa-devel@alsa-project.org
Subject: Re: Bug#631963: linux-image-3.0.0-rc4-686-pae: no sound out the rear plugs
Date: Fri, 1 Jul 2011 23:41:02 +0200
Hi Ben,

On Fri, 01.07.2011 at 22:22:01 +0100, Ben Hutchings <ben@decadent.org.uk> wrote:
> On Fri, Jul 01, 2011 at 11:06:56PM +0200, Toni Mueller wrote:
> > On Thu, 30.06.2011 at 07:59:19 +0200, Takashi Iwai <tiwai@suse.de> wrote:
> > > I guess this must be the new feature, "Auto-Mute Mode".
> > it turns out that you're right - I just had the opportunity to verify
> > that.
>  
> Can we consider this closed, then?  Or should that feature be
> disabled by default?

good question - I didn't see it. Don't know offhand where to easily
find it: Upstream's changelog isn't included in the package, so...

I'd be fine either way, but think that the feature deserves more
advertising, or, alternatively (?), being disabled by default, to
prevent bogus bug reports like mine.


Kind regards,
--Toni++





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#631963; Package alsa-base. (Wed, 13 Jul 2011 02:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Wed, 13 Jul 2011 02:45:08 GMT) Full text and rfc822 format available.

Message #63 received at 631963@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Takashi Iwai <tiwai@suse.de>
Cc: Toni Mueller <support@oeko.net>, 631963@bugs.debian.org, alsa-devel@alsa-project.org
Subject: Re: Bug#631963: linux-image-3.0.0-rc4-686-pae: no sound out the rear plugs
Date: Wed, 13 Jul 2011 03:44:26 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2011-07-01 at 23:41 +0200, Toni Mueller wrote:
> Hi Ben,
> 
> On Fri, 01.07.2011 at 22:22:01 +0100, Ben Hutchings <ben@decadent.org.uk> wrote:
> > On Fri, Jul 01, 2011 at 11:06:56PM +0200, Toni Mueller wrote:
> > > On Thu, 30.06.2011 at 07:59:19 +0200, Takashi Iwai <tiwai@suse.de> wrote:
> > > > I guess this must be the new feature, "Auto-Mute Mode".
> > > it turns out that you're right - I just had the opportunity to verify
> > > that.
> >  
> > Can we consider this closed, then?  Or should that feature be
> > disabled by default?
> 
> good question - I didn't see it. Don't know offhand where to easily
> find it: Upstream's changelog isn't included in the package, so...
> 
> I'd be fine either way, but think that the feature deserves more
> advertising, or, alternatively (?), being disabled by default, to
> prevent bogus bug reports like mine.

What do you think of this?

Ben.

-- 
Ben Hutchings
All extremists should be taken out and shot.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#631963; Package alsa-base. (Wed, 13 Jul 2011 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Wed, 13 Jul 2011 16:45:03 GMT) Full text and rfc822 format available.

Message #68 received at 631963@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Ben Hutchings <ben@decadent.org.uk>, 631963@bugs.debian.org
Cc: Toni Mueller <support@oeko.net>
Subject: Re: [Pkg-alsa-devel] Bug#631963: linux-image-3.0.0-rc4-686-pae: no sound out the rear plugs
Date: Wed, 13 Jul 2011 18:33:37 +0200
* Ben Hutchings [110713 03:44 +0100]:

> On Fri, 2011-07-01 at 23:41 +0200, Toni Mueller wrote:
> > Hi Ben,
> > 
> > On Fri, 01.07.2011 at 22:22:01 +0100, Ben Hutchings <ben@decadent.org.uk> wrote:
> > > On Fri, Jul 01, 2011 at 11:06:56PM +0200, Toni Mueller wrote:
> > > > On Thu, 30.06.2011 at 07:59:19 +0200, Takashi Iwai <tiwai@suse.de> wrote:
> > > > > I guess this must be the new feature, "Auto-Mute Mode".
> > > > it turns out that you're right - I just had the opportunity to verify
> > > > that.
> > >  
> > > Can we consider this closed, then?  Or should that feature be
> > > disabled by default?
> > 
> > good question - I didn't see it. Don't know offhand where to easily
> > find it: Upstream's changelog isn't included in the package, so...
> > 
> > I'd be fine either way, but think that the feature deserves more
> > advertising, or, alternatively (?), being disabled by default, to
> > prevent bogus bug reports like mine.
> 
> What do you think of this?

To control features like "Auto-Mute Mode" from 1.0.24 drivers we
need at least alsa-utils 1.0.24. It is on the radar.

Elimar
-- 
  Never make anything simple and efficient when a way 
  can be found to make it complex and wonderful ;-)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#631963; Package alsa-base. (Thu, 14 Jul 2011 02:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Thu, 14 Jul 2011 02:12:03 GMT) Full text and rfc822 format available.

Message #73 received at 631963@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Takashi Iwai <tiwai@suse.de>
Cc: Toni Mueller <support@oeko.net>, Elimar Riesebieter <riesebie@lxtec.de>, 631963@bugs.debian.org, alsa-devel@alsa-project.org
Subject: [PATCH] ALSA: hda - Disable automute feature by default
Date: Thu, 14 Jul 2011 03:07:51 +0100
The default behaviour should be the same as before this feature
was introduced, to avoid user confusion.

Reported-by: Toni Mueller <support@oeko.net>
References: http://bugs.debian.org/631963
Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
---
The code is rather inconsistent in whether 'mode' means the behaviour or
mechanism of automute.  I didn't touch that but you might want to
consider some renaming.

Ben.

 sound/pci/hda/patch_realtek.c |   74 ++---------------------------------------
 1 files changed, 3 insertions(+), 71 deletions(-)

diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index b48fb43..1247a04 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -306,7 +306,7 @@ struct alc_multi_io {
 };
 
 enum {
-	ALC_AUTOMUTE_PIN,	/* change the pin control */
+	ALC_AUTOMUTE_PIN = 1,	/* change the pin control */
 	ALC_AUTOMUTE_AMP,	/* mute/unmute the pin AMP */
 	ALC_AUTOMUTE_MIXER,	/* mute/unmute mixer widget AMP */
 };
@@ -1599,10 +1599,9 @@ static void alc_init_auto_hp(struct hda_codec *codec)
 		snd_hda_codec_write_cache(codec, nid, 0,
 				  AC_VERB_SET_UNSOLICITED_ENABLE,
 				  AC_USRSP_EN | ALC880_HP_EVENT);
-		spec->automute = 1;
 		spec->automute_mode = ALC_AUTOMUTE_PIN;
 	}
-	if (spec->automute && cfg->line_out_pins[0] &&
+	if (spec->automute_mode && cfg->line_out_pins[0] &&
 	    cfg->line_out_pins[0] != cfg->hp_pins[0] &&
 	    cfg->line_out_pins[0] != cfg->speaker_pins[0]) {
 		for (i = 0; i < cfg->line_outs; i++) {
@@ -1619,7 +1618,7 @@ static void alc_init_auto_hp(struct hda_codec *codec)
 		spec->automute_lines = spec->detect_line;
 	}
 
-	if (spec->automute) {
+	if (spec->automute_mode) {
 		/* create a control for automute mode */
 		alc_add_automute_mode_enum(codec);
 		spec->unsol_event = alc_sku_unsol_event;
@@ -2241,7 +2240,6 @@ static void alc889_automute_setup(struct hda_codec *codec)
 	spec->autocfg.speaker_pins[2] = 0x17;
 	spec->autocfg.speaker_pins[3] = 0x19;
 	spec->autocfg.speaker_pins[4] = 0x1a;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -2259,7 +2257,6 @@ static void alc888_fujitsu_xa3530_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[1] = 0x1b; /* hp */
 	spec->autocfg.speaker_pins[0] = 0x14; /* speaker */
 	spec->autocfg.speaker_pins[1] = 0x15; /* bass */
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -2543,7 +2540,6 @@ static void alc888_acer_aspire_4930g_setup(struct hda_codec *codec)
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[1] = 0x16;
 	spec->autocfg.speaker_pins[2] = 0x17;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -2555,7 +2551,6 @@ static void alc888_acer_aspire_6530g_setup(struct hda_codec *codec)
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[1] = 0x16;
 	spec->autocfg.speaker_pins[2] = 0x17;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -2567,7 +2562,6 @@ static void alc888_acer_aspire_7730g_setup(struct hda_codec *codec)
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[1] = 0x16;
 	spec->autocfg.speaker_pins[2] = 0x17;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -2579,7 +2573,6 @@ static void alc889_acer_aspire_8930g_setup(struct hda_codec *codec)
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[1] = 0x16;
 	spec->autocfg.speaker_pins[2] = 0x1b;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -3667,7 +3660,6 @@ static void alc880_uniwill_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x16;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -3699,7 +3691,6 @@ static void alc880_uniwill_p53_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x15;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -3969,7 +3960,6 @@ static void alc880_lg_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x1b;
 	spec->autocfg.speaker_pins[0] = 0x17;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -4055,7 +4045,6 @@ static void alc880_lg_lw_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x1b;
 	spec->autocfg.speaker_pins[0] = 0x14;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -4128,7 +4117,6 @@ static void alc880_medion_rim_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x1b;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -6277,7 +6265,6 @@ static void alc260_hp_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x0f;
 	spec->autocfg.speaker_pins[0] = 0x10;
 	spec->autocfg.speaker_pins[1] = 0x11;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_PIN;
 }
 
@@ -6308,7 +6295,6 @@ static void alc260_hp_3013_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x10;
 	spec->autocfg.speaker_pins[1] = 0x11;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_PIN;
 }
 
@@ -6352,7 +6338,6 @@ static void alc260_hp_3012_setup(struct hda_codec *codec)
 	spec->autocfg.speaker_pins[0] = 0x0f;
 	spec->autocfg.speaker_pins[1] = 0x11;
 	spec->autocfg.speaker_pins[2] = 0x15;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_PIN;
 }
 
@@ -8887,7 +8872,6 @@ static void alc885_imac24_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x18;
 	spec->autocfg.speaker_pins[1] = 0x1a;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -8901,7 +8885,6 @@ static void alc885_mba21_setup(struct hda_codec *codec)
 
        spec->autocfg.hp_pins[0] = 0x14;
        spec->autocfg.speaker_pins[0] = 0x18;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -8913,7 +8896,6 @@ static void alc885_mbp3_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -8924,7 +8906,6 @@ static void alc885_imac91_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x18;
 	spec->autocfg.speaker_pins[1] = 0x1a;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -8958,7 +8939,6 @@ static void alc882_targa_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x1b;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -9405,7 +9385,6 @@ static void alc883_medion_wim2160_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x1a;
 	spec->autocfg.speaker_pins[0] = 0x15;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -9559,7 +9538,6 @@ static void alc883_mitac_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[1] = 0x17;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -9725,7 +9703,6 @@ static void alc888_3st_hp_setup(struct hda_codec *codec)
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[1] = 0x16;
 	spec->autocfg.speaker_pins[2] = 0x18;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -9786,7 +9763,6 @@ static void alc888_lenovo_ms7195_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x1b;
 	spec->autocfg.line_out_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x15;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -9797,7 +9773,6 @@ static void alc883_lenovo_nb0763_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x15;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -9811,7 +9786,6 @@ static void alc883_clevo_m720_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -9841,7 +9815,6 @@ static void alc883_2ch_fujitsu_pi2515_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x15;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -9851,7 +9824,6 @@ static void alc883_haier_w66_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x1b;
 	spec->autocfg.speaker_pins[0] = 0x14;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -9862,7 +9834,6 @@ static void alc883_lenovo_101e_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x1b;
 	spec->autocfg.line_out_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x15;
-	spec->automute = 1;
 	spec->detect_line = 1;
 	spec->automute_lines = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
@@ -9876,7 +9847,6 @@ static void alc883_acer_aspire_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[1] = 0x16;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -9907,7 +9877,6 @@ static void alc888_6st_dell_setup(struct hda_codec *codec)
 	spec->autocfg.speaker_pins[1] = 0x15;
 	spec->autocfg.speaker_pins[2] = 0x16;
 	spec->autocfg.speaker_pins[3] = 0x17;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -9921,7 +9890,6 @@ static void alc888_lenovo_sky_setup(struct hda_codec *codec)
 	spec->autocfg.speaker_pins[2] = 0x16;
 	spec->autocfg.speaker_pins[3] = 0x17;
 	spec->autocfg.speaker_pins[4] = 0x1a;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -9932,7 +9900,6 @@ static void alc883_vaiott_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[1] = 0x17;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -9959,7 +9926,6 @@ static void alc883_mode2_setup(struct hda_codec *codec)
 	spec->ext_mic.mux_idx = 0;
 	spec->int_mic.mux_idx = 1;
 	spec->auto_mic = 1;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -11470,7 +11436,6 @@ static void alc262_hp_bpc_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x1b;
 	spec->autocfg.speaker_pins[0] = 0x16;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_PIN;
 }
 
@@ -11480,7 +11445,6 @@ static void alc262_hp_wildwest_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x16;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_PIN;
 }
 
@@ -11560,7 +11524,6 @@ static void alc262_hp_t5735_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_PIN;
 }
 
@@ -11674,7 +11637,6 @@ static void alc262_hippo_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -11684,7 +11646,6 @@ static void alc262_hippo1_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x1b;
 	spec->autocfg.speaker_pins[0] = 0x14;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -11748,7 +11709,6 @@ static void alc262_tyan_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x1b;
 	spec->autocfg.speaker_pins[0] = 0x15;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -11893,7 +11853,6 @@ static void alc262_toshiba_s06_setup(struct hda_codec *codec)
 	spec->int_mic.pin = 0x12;
 	spec->int_mic.mux_idx = 9;
 	spec->auto_mic = 1;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_PIN;
 }
 
@@ -11998,7 +11957,6 @@ static void alc262_fujitsu_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x14;
 	spec->autocfg.hp_pins[1] = 0x1b;
 	spec->autocfg.speaker_pins[0] = 0x15;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -12045,7 +12003,6 @@ static void alc262_lenovo_3000_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x1b;
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[1] = 0x16;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -13255,7 +13212,6 @@ static void alc268_acer_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x15;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -13339,7 +13295,6 @@ static void alc268_acer_lc_setup(struct hda_codec *codec)
 	struct alc_spec *spec = codec->spec;
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -13379,7 +13334,6 @@ static void alc268_dell_setup(struct hda_codec *codec)
 	spec->int_mic.pin = 0x19;
 	spec->int_mic.mux_idx = 1;
 	spec->auto_mic = 1;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_PIN;
 }
 
@@ -13411,7 +13365,6 @@ static void alc267_quanta_il1_setup(struct hda_codec *codec)
 	spec->int_mic.pin = 0x19;
 	spec->int_mic.mux_idx = 1;
 	spec->auto_mic = 1;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_PIN;
 }
 
@@ -14415,7 +14368,6 @@ static void alc269_quanta_fl1_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->automute_mixer_nid[0] = 0x0c;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_MIXER;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -14437,7 +14389,6 @@ static void alc269_lifebook_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[1] = 0x1a;
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->automute_mixer_nid[0] = 0x0c;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_MIXER;
 }
 
@@ -14510,7 +14461,6 @@ static void alc269_laptop_amic_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->automute_mixer_nid[0] = 0x0c;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_MIXER;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -14525,7 +14475,6 @@ static void alc269_laptop_dmic_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->automute_mixer_nid[0] = 0x0c;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_MIXER;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -14540,7 +14489,6 @@ static void alc269vb_laptop_amic_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x21;
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->automute_mixer_nid[0] = 0x0c;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_MIXER;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -14555,7 +14503,6 @@ static void alc269vb_laptop_dmic_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x21;
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->automute_mixer_nid[0] = 0x0c;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_MIXER;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -16878,7 +16825,6 @@ static void alc861vd_lenovo_setup(struct hda_codec *codec)
 	struct alc_spec *spec = codec->spec;
 	spec->autocfg.hp_pins[0] = 0x1b;
 	spec->autocfg.speaker_pins[0] = 0x14;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -16953,7 +16899,6 @@ static void alc861vd_dallas_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -18222,7 +18167,6 @@ static void alc662_lenovo_101e_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x1b;
 	spec->autocfg.line_out_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x15;
-	spec->automute = 1;
 	spec->detect_line = 1;
 	spec->automute_lines = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
@@ -18246,7 +18190,6 @@ static void alc662_eeepc_ep20_setup(struct hda_codec *codec)
 
 	spec->autocfg.hp_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x1b;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
@@ -18256,7 +18199,6 @@ static void alc663_m51va_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x21;
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->automute_mixer_nid[0] = 0x0c;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_MIXER;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -18272,7 +18214,6 @@ static void alc663_mode1_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x21;
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->automute_mixer_nid[0] = 0x0c;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_MIXER;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -18287,7 +18228,6 @@ static void alc662_mode2_setup(struct hda_codec *codec)
 	struct alc_spec *spec = codec->spec;
 	spec->autocfg.hp_pins[0] = 0x1b;
 	spec->autocfg.speaker_pins[0] = 0x14;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_PIN;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -18303,7 +18243,6 @@ static void alc663_mode3_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x21;
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_PIN;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -18321,7 +18260,6 @@ static void alc663_mode4_setup(struct hda_codec *codec)
 	spec->autocfg.speaker_pins[1] = 0x16;
 	spec->automute_mixer_nid[0] = 0x0c;
 	spec->automute_mixer_nid[1] = 0x0e;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_MIXER;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -18339,7 +18277,6 @@ static void alc663_mode5_setup(struct hda_codec *codec)
 	spec->autocfg.speaker_pins[1] = 0x16;
 	spec->automute_mixer_nid[0] = 0x0c;
 	spec->automute_mixer_nid[1] = 0x0e;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_MIXER;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -18356,7 +18293,6 @@ static void alc663_mode6_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->automute_mixer_nid[0] = 0x0c;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_MIXER;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -18373,7 +18309,6 @@ static void alc663_mode7_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x21;
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x17;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_PIN;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -18390,7 +18325,6 @@ static void alc663_mode8_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[1] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
 	spec->autocfg.speaker_pins[0] = 0x17;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_PIN;
 	spec->ext_mic.pin = 0x18;
 	spec->ext_mic.mux_idx = 0;
@@ -18405,7 +18339,6 @@ static void alc663_g71v_setup(struct hda_codec *codec)
 	spec->autocfg.hp_pins[0] = 0x21;
 	spec->autocfg.line_out_pins[0] = 0x15;
 	spec->autocfg.speaker_pins[0] = 0x14;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 	spec->detect_line = 1;
 	spec->automute_lines = 1;
@@ -19818,7 +19751,6 @@ static void alc680_base_setup(struct hda_codec *codec)
 	spec->autocfg.inputs[0].type = AUTO_PIN_MIC;
 	spec->autocfg.inputs[1].pin = 0x19;
 	spec->autocfg.inputs[1].type = AUTO_PIN_LINE_IN;
-	spec->automute = 1;
 	spec->automute_mode = ALC_AUTOMUTE_AMP;
 }
 
-- 
1.7.5.4






Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#631963; Package alsa-base. (Thu, 14 Jul 2011 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Takashi Iwai <tiwai@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Thu, 14 Jul 2011 08:06:03 GMT) Full text and rfc822 format available.

Message #78 received at 631963@bugs.debian.org (full text, mbox):

From: Takashi Iwai <tiwai@suse.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Toni Mueller <support@oeko.net>, Elimar Riesebieter <riesebie@lxtec.de>, 631963@bugs.debian.org, alsa-devel@alsa-project.org
Subject: Re: [PATCH] ALSA: hda - Disable automute feature by default
Date: Thu, 14 Jul 2011 10:01:54 +0200
[I resend this again since it didn't get out due to domain problem of
 alsa-project.org.  If you've already seen the mail, please disregard.]

At Thu, 14 Jul 2011 03:07:51 +0100,
Ben Hutchings wrote:
> 
> The default behaviour should be the same as before this feature
> was introduced, to avoid user confusion.
> 
> Reported-by: Toni Mueller <support@oeko.net>
> References: http://bugs.debian.org/631963
> Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
> ---
> The code is rather inconsistent in whether 'mode' means the behaviour or
> mechanism of automute.  I didn't touch that but you might want to
> consider some renaming.

Sorry, I can't take this.

First, the fix is touching a wrong place.  There are several flags to
control the auto-mute behavior.  spec->automute is a flag to control
the all auto-mute feature including the headphone jack.  For the
line-out jack, it's spec->automute_lines flag.

Secondly, this is a fix of long-standing bug.  With this change, the
driver finally behaves consistently in a way seen in other OS.


thanks,

Takashi

> 
> Ben.
> 
>  sound/pci/hda/patch_realtek.c |   74 ++---------------------------------------
>  1 files changed, 3 insertions(+), 71 deletions(-)
> 
> diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
> index b48fb43..1247a04 100644
> --- a/sound/pci/hda/patch_realtek.c
> +++ b/sound/pci/hda/patch_realtek.c
> @@ -306,7 +306,7 @@ struct alc_multi_io {
>  };
>  
>  enum {
> -	ALC_AUTOMUTE_PIN,	/* change the pin control */
> +	ALC_AUTOMUTE_PIN = 1,	/* change the pin control */
>  	ALC_AUTOMUTE_AMP,	/* mute/unmute the pin AMP */
>  	ALC_AUTOMUTE_MIXER,	/* mute/unmute mixer widget AMP */
>  };
> @@ -1599,10 +1599,9 @@ static void alc_init_auto_hp(struct hda_codec *codec)
>  		snd_hda_codec_write_cache(codec, nid, 0,
>  				  AC_VERB_SET_UNSOLICITED_ENABLE,
>  				  AC_USRSP_EN | ALC880_HP_EVENT);
> -		spec->automute = 1;
>  		spec->automute_mode = ALC_AUTOMUTE_PIN;
>  	}
> -	if (spec->automute && cfg->line_out_pins[0] &&
> +	if (spec->automute_mode && cfg->line_out_pins[0] &&
>  	    cfg->line_out_pins[0] != cfg->hp_pins[0] &&
>  	    cfg->line_out_pins[0] != cfg->speaker_pins[0]) {
>  		for (i = 0; i < cfg->line_outs; i++) {
> @@ -1619,7 +1618,7 @@ static void alc_init_auto_hp(struct hda_codec *codec)
>  		spec->automute_lines = spec->detect_line;
>  	}
>  
> -	if (spec->automute) {
> +	if (spec->automute_mode) {
>  		/* create a control for automute mode */
>  		alc_add_automute_mode_enum(codec);
>  		spec->unsol_event = alc_sku_unsol_event;
> @@ -2241,7 +2240,6 @@ static void alc889_automute_setup(struct hda_codec *codec)
>  	spec->autocfg.speaker_pins[2] = 0x17;
>  	spec->autocfg.speaker_pins[3] = 0x19;
>  	spec->autocfg.speaker_pins[4] = 0x1a;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -2259,7 +2257,6 @@ static void alc888_fujitsu_xa3530_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[1] = 0x1b; /* hp */
>  	spec->autocfg.speaker_pins[0] = 0x14; /* speaker */
>  	spec->autocfg.speaker_pins[1] = 0x15; /* bass */
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -2543,7 +2540,6 @@ static void alc888_acer_aspire_4930g_setup(struct hda_codec *codec)
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[1] = 0x16;
>  	spec->autocfg.speaker_pins[2] = 0x17;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -2555,7 +2551,6 @@ static void alc888_acer_aspire_6530g_setup(struct hda_codec *codec)
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[1] = 0x16;
>  	spec->autocfg.speaker_pins[2] = 0x17;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -2567,7 +2562,6 @@ static void alc888_acer_aspire_7730g_setup(struct hda_codec *codec)
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[1] = 0x16;
>  	spec->autocfg.speaker_pins[2] = 0x17;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -2579,7 +2573,6 @@ static void alc889_acer_aspire_8930g_setup(struct hda_codec *codec)
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[1] = 0x16;
>  	spec->autocfg.speaker_pins[2] = 0x1b;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -3667,7 +3660,6 @@ static void alc880_uniwill_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x16;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -3699,7 +3691,6 @@ static void alc880_uniwill_p53_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x15;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -3969,7 +3960,6 @@ static void alc880_lg_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x1b;
>  	spec->autocfg.speaker_pins[0] = 0x17;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -4055,7 +4045,6 @@ static void alc880_lg_lw_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x1b;
>  	spec->autocfg.speaker_pins[0] = 0x14;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -4128,7 +4117,6 @@ static void alc880_medion_rim_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x1b;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -6277,7 +6265,6 @@ static void alc260_hp_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x0f;
>  	spec->autocfg.speaker_pins[0] = 0x10;
>  	spec->autocfg.speaker_pins[1] = 0x11;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_PIN;
>  }
>  
> @@ -6308,7 +6295,6 @@ static void alc260_hp_3013_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x10;
>  	spec->autocfg.speaker_pins[1] = 0x11;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_PIN;
>  }
>  
> @@ -6352,7 +6338,6 @@ static void alc260_hp_3012_setup(struct hda_codec *codec)
>  	spec->autocfg.speaker_pins[0] = 0x0f;
>  	spec->autocfg.speaker_pins[1] = 0x11;
>  	spec->autocfg.speaker_pins[2] = 0x15;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_PIN;
>  }
>  
> @@ -8887,7 +8872,6 @@ static void alc885_imac24_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x18;
>  	spec->autocfg.speaker_pins[1] = 0x1a;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -8901,7 +8885,6 @@ static void alc885_mba21_setup(struct hda_codec *codec)
>  
>         spec->autocfg.hp_pins[0] = 0x14;
>         spec->autocfg.speaker_pins[0] = 0x18;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -8913,7 +8896,6 @@ static void alc885_mbp3_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -8924,7 +8906,6 @@ static void alc885_imac91_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x18;
>  	spec->autocfg.speaker_pins[1] = 0x1a;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -8958,7 +8939,6 @@ static void alc882_targa_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x1b;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -9405,7 +9385,6 @@ static void alc883_medion_wim2160_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x1a;
>  	spec->autocfg.speaker_pins[0] = 0x15;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -9559,7 +9538,6 @@ static void alc883_mitac_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[1] = 0x17;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -9725,7 +9703,6 @@ static void alc888_3st_hp_setup(struct hda_codec *codec)
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[1] = 0x16;
>  	spec->autocfg.speaker_pins[2] = 0x18;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -9786,7 +9763,6 @@ static void alc888_lenovo_ms7195_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x1b;
>  	spec->autocfg.line_out_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x15;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -9797,7 +9773,6 @@ static void alc883_lenovo_nb0763_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x15;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -9811,7 +9786,6 @@ static void alc883_clevo_m720_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -9841,7 +9815,6 @@ static void alc883_2ch_fujitsu_pi2515_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x15;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -9851,7 +9824,6 @@ static void alc883_haier_w66_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x1b;
>  	spec->autocfg.speaker_pins[0] = 0x14;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -9862,7 +9834,6 @@ static void alc883_lenovo_101e_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x1b;
>  	spec->autocfg.line_out_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x15;
> -	spec->automute = 1;
>  	spec->detect_line = 1;
>  	spec->automute_lines = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
> @@ -9876,7 +9847,6 @@ static void alc883_acer_aspire_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[1] = 0x16;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -9907,7 +9877,6 @@ static void alc888_6st_dell_setup(struct hda_codec *codec)
>  	spec->autocfg.speaker_pins[1] = 0x15;
>  	spec->autocfg.speaker_pins[2] = 0x16;
>  	spec->autocfg.speaker_pins[3] = 0x17;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -9921,7 +9890,6 @@ static void alc888_lenovo_sky_setup(struct hda_codec *codec)
>  	spec->autocfg.speaker_pins[2] = 0x16;
>  	spec->autocfg.speaker_pins[3] = 0x17;
>  	spec->autocfg.speaker_pins[4] = 0x1a;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -9932,7 +9900,6 @@ static void alc883_vaiott_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[1] = 0x17;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -9959,7 +9926,6 @@ static void alc883_mode2_setup(struct hda_codec *codec)
>  	spec->ext_mic.mux_idx = 0;
>  	spec->int_mic.mux_idx = 1;
>  	spec->auto_mic = 1;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -11470,7 +11436,6 @@ static void alc262_hp_bpc_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x1b;
>  	spec->autocfg.speaker_pins[0] = 0x16;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_PIN;
>  }
>  
> @@ -11480,7 +11445,6 @@ static void alc262_hp_wildwest_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x16;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_PIN;
>  }
>  
> @@ -11560,7 +11524,6 @@ static void alc262_hp_t5735_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_PIN;
>  }
>  
> @@ -11674,7 +11637,6 @@ static void alc262_hippo_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -11684,7 +11646,6 @@ static void alc262_hippo1_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x1b;
>  	spec->autocfg.speaker_pins[0] = 0x14;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -11748,7 +11709,6 @@ static void alc262_tyan_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x1b;
>  	spec->autocfg.speaker_pins[0] = 0x15;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -11893,7 +11853,6 @@ static void alc262_toshiba_s06_setup(struct hda_codec *codec)
>  	spec->int_mic.pin = 0x12;
>  	spec->int_mic.mux_idx = 9;
>  	spec->auto_mic = 1;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_PIN;
>  }
>  
> @@ -11998,7 +11957,6 @@ static void alc262_fujitsu_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x14;
>  	spec->autocfg.hp_pins[1] = 0x1b;
>  	spec->autocfg.speaker_pins[0] = 0x15;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -12045,7 +12003,6 @@ static void alc262_lenovo_3000_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x1b;
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[1] = 0x16;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -13255,7 +13212,6 @@ static void alc268_acer_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x15;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -13339,7 +13295,6 @@ static void alc268_acer_lc_setup(struct hda_codec *codec)
>  	struct alc_spec *spec = codec->spec;
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -13379,7 +13334,6 @@ static void alc268_dell_setup(struct hda_codec *codec)
>  	spec->int_mic.pin = 0x19;
>  	spec->int_mic.mux_idx = 1;
>  	spec->auto_mic = 1;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_PIN;
>  }
>  
> @@ -13411,7 +13365,6 @@ static void alc267_quanta_il1_setup(struct hda_codec *codec)
>  	spec->int_mic.pin = 0x19;
>  	spec->int_mic.mux_idx = 1;
>  	spec->auto_mic = 1;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_PIN;
>  }
>  
> @@ -14415,7 +14368,6 @@ static void alc269_quanta_fl1_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->automute_mixer_nid[0] = 0x0c;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_MIXER;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -14437,7 +14389,6 @@ static void alc269_lifebook_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[1] = 0x1a;
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->automute_mixer_nid[0] = 0x0c;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_MIXER;
>  }
>  
> @@ -14510,7 +14461,6 @@ static void alc269_laptop_amic_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->automute_mixer_nid[0] = 0x0c;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_MIXER;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -14525,7 +14475,6 @@ static void alc269_laptop_dmic_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->automute_mixer_nid[0] = 0x0c;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_MIXER;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -14540,7 +14489,6 @@ static void alc269vb_laptop_amic_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x21;
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->automute_mixer_nid[0] = 0x0c;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_MIXER;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -14555,7 +14503,6 @@ static void alc269vb_laptop_dmic_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x21;
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->automute_mixer_nid[0] = 0x0c;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_MIXER;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -16878,7 +16825,6 @@ static void alc861vd_lenovo_setup(struct hda_codec *codec)
>  	struct alc_spec *spec = codec->spec;
>  	spec->autocfg.hp_pins[0] = 0x1b;
>  	spec->autocfg.speaker_pins[0] = 0x14;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -16953,7 +16899,6 @@ static void alc861vd_dallas_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -18222,7 +18167,6 @@ static void alc662_lenovo_101e_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x1b;
>  	spec->autocfg.line_out_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x15;
> -	spec->automute = 1;
>  	spec->detect_line = 1;
>  	spec->automute_lines = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
> @@ -18246,7 +18190,6 @@ static void alc662_eeepc_ep20_setup(struct hda_codec *codec)
>  
>  	spec->autocfg.hp_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x1b;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> @@ -18256,7 +18199,6 @@ static void alc663_m51va_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x21;
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->automute_mixer_nid[0] = 0x0c;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_MIXER;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -18272,7 +18214,6 @@ static void alc663_mode1_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x21;
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->automute_mixer_nid[0] = 0x0c;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_MIXER;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -18287,7 +18228,6 @@ static void alc662_mode2_setup(struct hda_codec *codec)
>  	struct alc_spec *spec = codec->spec;
>  	spec->autocfg.hp_pins[0] = 0x1b;
>  	spec->autocfg.speaker_pins[0] = 0x14;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_PIN;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -18303,7 +18243,6 @@ static void alc663_mode3_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x21;
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_PIN;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -18321,7 +18260,6 @@ static void alc663_mode4_setup(struct hda_codec *codec)
>  	spec->autocfg.speaker_pins[1] = 0x16;
>  	spec->automute_mixer_nid[0] = 0x0c;
>  	spec->automute_mixer_nid[1] = 0x0e;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_MIXER;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -18339,7 +18277,6 @@ static void alc663_mode5_setup(struct hda_codec *codec)
>  	spec->autocfg.speaker_pins[1] = 0x16;
>  	spec->automute_mixer_nid[0] = 0x0c;
>  	spec->automute_mixer_nid[1] = 0x0e;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_MIXER;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -18356,7 +18293,6 @@ static void alc663_mode6_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->automute_mixer_nid[0] = 0x0c;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_MIXER;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -18373,7 +18309,6 @@ static void alc663_mode7_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x21;
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x17;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_PIN;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -18390,7 +18325,6 @@ static void alc663_mode8_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[1] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
>  	spec->autocfg.speaker_pins[0] = 0x17;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_PIN;
>  	spec->ext_mic.pin = 0x18;
>  	spec->ext_mic.mux_idx = 0;
> @@ -18405,7 +18339,6 @@ static void alc663_g71v_setup(struct hda_codec *codec)
>  	spec->autocfg.hp_pins[0] = 0x21;
>  	spec->autocfg.line_out_pins[0] = 0x15;
>  	spec->autocfg.speaker_pins[0] = 0x14;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  	spec->detect_line = 1;
>  	spec->automute_lines = 1;
> @@ -19818,7 +19751,6 @@ static void alc680_base_setup(struct hda_codec *codec)
>  	spec->autocfg.inputs[0].type = AUTO_PIN_MIC;
>  	spec->autocfg.inputs[1].pin = 0x19;
>  	spec->autocfg.inputs[1].type = AUTO_PIN_LINE_IN;
> -	spec->automute = 1;
>  	spec->automute_mode = ALC_AUTOMUTE_AMP;
>  }
>  
> -- 
> 1.7.5.4
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#631963; Package alsa-base. (Thu, 14 Jul 2011 14:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Thu, 14 Jul 2011 14:03:06 GMT) Full text and rfc822 format available.

Message #83 received at 631963@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Takashi Iwai <tiwai@suse.de>
Cc: Toni Mueller <support@oeko.net>, Elimar Riesebieter <riesebie@lxtec.de>, 631963@bugs.debian.org, alsa-devel@alsa-project.org
Subject: Re: [PATCH] ALSA: hda - Disable automute feature by default
Date: Thu, 14 Jul 2011 14:59:32 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2011-07-14 at 10:01 +0200, Takashi Iwai wrote:
> [I resend this again since it didn't get out due to domain problem of
>  alsa-project.org.  If you've already seen the mail, please disregard.]
> 
> At Thu, 14 Jul 2011 03:07:51 +0100,
> Ben Hutchings wrote:
> > 
> > The default behaviour should be the same as before this feature
> > was introduced, to avoid user confusion.
> > 
> > Reported-by: Toni Mueller <support@oeko.net>
> > References: http://bugs.debian.org/631963
> > Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
> > ---
> > The code is rather inconsistent in whether 'mode' means the behaviour or
> > mechanism of automute.  I didn't touch that but you might want to
> > consider some renaming.
> 
> Sorry, I can't take this.
> 
> First, the fix is touching a wrong place.  There are several flags to
> control the auto-mute behavior.  spec->automute is a flag to control
> the all auto-mute feature including the headphone jack.  For the
> line-out jack, it's spec->automute_lines flag.

OK.

> Secondly, this is a fix of long-standing bug.  With this change, the
> driver finally behaves consistently in a way seen in other OS.
[...]

But why would Linux users know or care how it behaves in the other OS?

Ben.

-- 
Ben Hutchings
If the facts do not conform to your theory, they must be disposed of.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#631963; Package alsa-base. (Thu, 14 Jul 2011 14:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Takashi Iwai <tiwai@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Thu, 14 Jul 2011 14:03:14 GMT) Full text and rfc822 format available.

Message #88 received at 631963@bugs.debian.org (full text, mbox):

From: Takashi Iwai <tiwai@suse.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Toni Mueller <support@oeko.net>, Elimar Riesebieter <riesebie@lxtec.de>, 631963@bugs.debian.org, alsa-devel@alsa-project.org
Subject: Re: [PATCH] ALSA: hda - Disable automute feature by default
Date: Thu, 14 Jul 2011 16:02:28 +0200
At Thu, 14 Jul 2011 14:59:32 +0100,
Ben Hutchings wrote:
> 
> On Thu, 2011-07-14 at 10:01 +0200, Takashi Iwai wrote:
> > [I resend this again since it didn't get out due to domain problem of
> >  alsa-project.org.  If you've already seen the mail, please disregard.]
> > 
> > At Thu, 14 Jul 2011 03:07:51 +0100,
> > Ben Hutchings wrote:
> > > 
> > > The default behaviour should be the same as before this feature
> > > was introduced, to avoid user confusion.
> > > 
> > > Reported-by: Toni Mueller <support@oeko.net>
> > > References: http://bugs.debian.org/631963
> > > Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
> > > ---
> > > The code is rather inconsistent in whether 'mode' means the behaviour or
> > > mechanism of automute.  I didn't touch that but you might want to
> > > consider some renaming.
> > 
> > Sorry, I can't take this.
> > 
> > First, the fix is touching a wrong place.  There are several flags to
> > control the auto-mute behavior.  spec->automute is a flag to control
> > the all auto-mute feature including the headphone jack.  For the
> > line-out jack, it's spec->automute_lines flag.
> 
> OK.
> 
> > Secondly, this is a fix of long-standing bug.  With this change, the
> > driver finally behaves consistently in a way seen in other OS.
> [...]
> 
> But why would Linux users know or care how it behaves in the other OS?

Why not?

This change also makes the behavior consistent even within Linux, now
behaving same as other HD-audio codec drivers.


Takashi




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Thu, 14 Jul 2011 15:09:08 GMT) Full text and rfc822 format available.

Notification sent to Toni Mueller <support@oeko.net>:
Bug acknowledged by developer. (Thu, 14 Jul 2011 15:09:08 GMT) Full text and rfc822 format available.

Message #93 received at 631963-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 631963-done@bugs.debian.org
Subject: Re: [PATCH] ALSA: hda - Disable automute feature by default
Date: Thu, 14 Jul 2011 16:05:10 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2011-07-14 at 16:02 +0200, Takashi Iwai wrote:
> At Thu, 14 Jul 2011 14:59:32 +0100,
> Ben Hutchings wrote:
> > 
> > On Thu, 2011-07-14 at 10:01 +0200, Takashi Iwai wrote:
> > > [I resend this again since it didn't get out due to domain problem of
> > >  alsa-project.org.  If you've already seen the mail, please disregard.]
> > > 
> > > At Thu, 14 Jul 2011 03:07:51 +0100,
> > > Ben Hutchings wrote:
> > > > 
> > > > The default behaviour should be the same as before this feature
> > > > was introduced, to avoid user confusion.
> > > > 
> > > > Reported-by: Toni Mueller <support@oeko.net>
> > > > References: http://bugs.debian.org/631963
> > > > Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
> > > > ---
> > > > The code is rather inconsistent in whether 'mode' means the behaviour or
> > > > mechanism of automute.  I didn't touch that but you might want to
> > > > consider some renaming.
> > > 
> > > Sorry, I can't take this.
> > > 
> > > First, the fix is touching a wrong place.  There are several flags to
> > > control the auto-mute behavior.  spec->automute is a flag to control
> > > the all auto-mute feature including the headphone jack.  For the
> > > line-out jack, it's spec->automute_lines flag.
> > 
> > OK.
> > 
> > > Secondly, this is a fix of long-standing bug.  With this change, the
> > > driver finally behaves consistently in a way seen in other OS.
> > [...]
> > 
> > But why would Linux users know or care how it behaves in the other OS?
> 
> Why not?
> 
> This change also makes the behavior consistent even within Linux, now
> behaving same as other HD-audio codec drivers.

The upstream change is definitely intentional and I do not want to
override it.  Therefore, closing as not a bug.

Ben.

-- 
Ben Hutchings
If the facts do not conform to your theory, they must be disposed of.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Aug 2011 07:39:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:20:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.